Redmine - Defect #13327

SystemStackError (stack level too deep):
2013-03-01 08:46 - kk kk

Status: Closed Start date:

Priority: Low Due date:

Assignee: % Done: 0%
Category: Ruby support Estimated time: 0.00 hour
Target version:

Resolution: Fixed Affected version:

Description

Completed 200 OK in 455ms (Views: 188.0ms | ActiveRecord: 46.9ms)

Started GET "/issues/33" for 192.168.1.2 at 2013-03-01 15:42:06 +0800

Processing by IssuesController#show as HTML

Parameters: {"id"=>"33"}

Current user: admin (id=1)

Rendered issues/_action_menu.html.erb (11.5ms)

Rendered issue_relations/_form.html.erb (4.4ms)

Rendered issues/_relations.html.erb (8.3ms)

Rendered issues/_action_menu.html.erb (11.6ms)

Rendered issues/_form_custom_fields.html.erb (0.6ms)

Rendered issues/_attributes.html.erb (30.8ms)

Rendered issues/_form.html.erb (52.5ms)

Rendered attachments/_form.html.erb (5.0ms)

Rendered issues/_edit.html.erb (87.5ms)

Rendered issues/_sidebar.html.erb (5.9ms)

Rendered watchers/_watchers.html.erb (6.0ms)

Rendered issues/show.html.erb within layouts/base (255.3ms)

Completed 200 OK in 417ms (Views: 242.1ms | ActiveRecord: 80.1ms)

Started PUT "/issues/33" for 192.168.1.2 at 2013-03-01 15:42:13 +0800

Processing by IssuesController#update as HTML

Parameters: {"utf8"=>"Ll", "authenticity_token"=>"xx", "issue"=>{"is_private"=>"0", "project_id"=>"1", "tracker_id"=>"2",
"subject"=>"xx", "description"=>"xx", "status_id"=>"1", "priority_id"=>"1", "assigned_to_id"=>"", "parent_issue_id"=>"",
"start_date"=>"2013-02-07", "due_date"=>"", "estimated_hours"=>"", "notes"=>"", "private_notes"=>"0", "lock_version"=>"0"},
"time_entry"=>{"hours"=>"", "activity_id"=> , "last_journal_id"=>"", "commit"=>"|]D", "id"=>"33"}
Current user: admin (id=1)

Completed 500 Internal Server Error in 262ms

, "comments"=>

SystemStackError (stack level too deep):
activesupport (3.2.12) lib/active_support/callbacks.rb:409

Related issues:
Related to Redmine - Feature #13329: Ruby 2.0 support Closed

History

#1 - 2013-03-01 09:04 - Jean-Philippe Lang
- Category changed from Database to Ruby support
- Status changed from New to Closed

- Resolution set to Fixed

| guess it happens with ruby 2.0. It was fixed in r11497.
https://www.redmine.org/projects/redmine/repository/svn/revisions/11497
http://www.tcpdf.org

